#!/bin/sh
#Copyright 2006 Sony Corporation

PATH="/bin:/sbin/:/usr/bin"
export PATH
RESOLV_CONF_IPV6=/tmp/resolv.conf.ipv6
NNC_MERGE_RESOLV_CONF=/usr/local/sony/sbin/nnc_merge_resolv_conf

logger "dhcp6c reason:$REASON dns:$new_domain_name_servers dn:$new_domain_name ntp:$new_ntp_servers sip:$new_sip_name_servers sipn:$new_sip_name"

#If no DNS are offerd, we will keep the current resolv.conf.
if [ "x$new_domain_name" = "x" -a "x$new_domain_name_servers" = "x" ];
then
	exit 0;
fi

#Then we will update resolv.conf. Delete & Append.
if [ -e $RESOLV_CONF_IPV6 ];
then
	rm $RESOLV_CONF_IPV6
fi
touch $RESOLV_CONF_IPV6

for adomain in $new_domain_name
do
	echo "search $adomain" >> $RESOLV_CONF_IPV6
done
for adns in $new_domain_name_servers
do
	echo "nameserver $adns" >> $RESOLV_CONF_IPV6
done

if [ -e $NNC_MERGE_RESOLV_CONF ];
then
	#Concatenate temporary resolv.conf.ipv6 & resolv.conf.ipv4
	#Using a libnetparam utility.
	$NNC_MERGE_RESOLV_CONF
else
	#We will modify /etc/resolv.conf directly.
	logger "nnc_merge_resolv_conf doesn't exist. Updating /etc/resolv.conf directly."
	chmod 644 $RESOLV_CONF_IPV6
	chown root $RESOLV_CONF_IPV6
	chgrp root $RESOLV_CONF_IPV6
	cp -pf $RESOLV_CONF_IPV6 /etc/resolv.conf
fi


